<mat-toolbar class="header" color="primary">
  <button mat-icon-button (click)="sidenav.toggle()">
    <mat-icon>menu</mat-icon>
  </button>
  <span>ShareDat</span>
  <span class="spacer"></span>
  <button mat-icon-button [matMenuTriggerFor]="menu">
    <mat-icon>more_vert</mat-icon>
  </button>
  <mat-menu #menu="matMenu">
    <button mat-menu-item disabled>
      <mat-icon>person_outline</mat-icon>
      <span>Logout</span>
    </button>
  </mat-menu>
</mat-toolbar>

<mat-sidenav-container class="container">
  <mat-sidenav #sidenav mode="side" opened class="sidenav">
    <mat-nav-list>
      <div mat-subheader>User Management</div>
      <mat-divider></mat-divider>
      <a mat-list-item routerLink="/user/login">
        Login
      </a>
      <mat-divider></mat-divider>
      <a mat-list-item routerLink="/user/register">
        Register
      </a>
      <mat-divider></mat-divider>
      <a mat-list-item routerLink="/user/change">
        Change Password
      </a>
      <mat-divider></mat-divider>
      <a mat-list-item routerLink="/user/reset">
        Reset Password
      </a>
      <mat-divider></mat-divider>
      <div mat-subheader>Views</div>
      <mat-divider></mat-divider>
      <a mat-list-item routerLink="/view/tile">
        Tile View
      </a>
      <mat-divider></mat-divider>
      <a mat-list-item routerLink="/view/list">
        List View
      </a>
      <mat-divider></mat-divider>
      <a mat-list-item routerLink="/view/card">
        Card View
      </a>
      <mat-divider></mat-divider>
    </mat-nav-list>
  </mat-sidenav>

  <mat-sidenav-content>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>

<mat-toolbar class="footer">Footer</mat-toolbar>
